# vim: set ts=2 sw=2 sts=2 et:
#
# Module data dump
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.
XLite\Model\Config:
  - name: sep_1
    category: XC\TaxJar
    type: separator
    orderby: 1000
    translations:
      - {code: en, option_name: 'Account settings'}
    module: XC\TaxJar
  - name: api_key
    category: XC\TaxJar
    type: text
    orderby: 1100
    translations:
      - {code: en, option_name: 'API Token', option_comment: 'Click <a href="https://app.taxjar.com/account#api-access" target="_blank">here</a> to open your TaxJar account page and get an API Token.'}
    module: XC\TaxJar
  - name: api_sandbox_key
    category: XC\TaxJar
    type: text
    orderby: 1200
    translations:
      - {code: en, option_name: 'API Sandbox Token', option_comment: 'Click <a href="https://app.taxjar.com/account#api-access" target="_blank">here</a> to open your TaxJar account page and get an API Sandbox Token.'}
    module: XC\TaxJar
  - name: api_mode
    category: XC\TaxJar
    type: XC\TaxJar\View\FormField\Select\ApiModeType
    value: live
    orderby: 1300
    translations:
      - {code: en, option_name: 'Sandbox/Live mode'}
    module: XC\TaxJar
  - name: sep_2
    category: XC\TaxJar
    type: separator
    orderby: 2000
    translations:
      - {code: en, option_name: 'Tax Calculation settings'}
    module: XC\TaxJar
  - name: taxcalculation
    category: XC\TaxJar
    type: XLite\View\FormField\Input\Checkbox\OnOff
    value: 'Y'
    orderby: 2100
    translations:
      - {code: en, option_name: 'Enable tax calculation'}
    module: XC\TaxJar
  - name: taxreporting
    category: XC\TaxJar
    type: XLite\View\FormField\Input\Checkbox\OnOff
    value: 'Y'
    orderby: 2200
    translations:
      - {code: en, option_name: 'Enable tax reporting'}
    module: XC\TaxJar
  - name: require_taxes_for_order
    category: XC\TaxJar
    type: XLite\View\FormField\Input\Checkbox\OnOff
    widgetParameters:
      dependency: {show: {taxcalculation: [true]}}
    value: 'Y'
    orderby: 2300
    translations:
      - {code: en, option_name: 'Do not create order in case of tax calculation error'}
    module: XC\TaxJar
  - name: calctaxforus_type
    category: XC\TaxJar
    type: XC\TaxJar\View\FormField\Select\AutomaticTaxCalculateType
    value: all
    orderby: 2500
    translations:
      - {code: en, option_name: 'Automatically calculate taxes for'}
    module: XC\TaxJar
  - name: calctaxforus
    category: XC\TaxJar
    type: XC\TaxJar\View\FormField\Select\Select2\StateCodes
    widgetParameters:
      dependency: {show: {calctaxforus_type: [specific]}}
    value: ''
    orderby: 2600
    translations:
      - {code: en, option_name: 'Specify US states'}
    module: XC\TaxJar
  - name: sep_4
    category: XC\TaxJar
    type: separator
    orderby: 4000
    translations:
      - {code: en, option_name: 'Advanced settings'}
    module: XC\TaxJar
  - name: debugmode
    category: XC\TaxJar
    type: XLite\View\FormField\Input\Checkbox\OnOff
    orderby: 4200
    translations:
      - {code: en, option_name: 'Debug mode'}
    module: XC\TaxJar
XLite\Model\Order\Modifier:
  - class: XC\TaxJar\Logic\Order\Modifier\StateTax
    weight: 1000
XLite\Model\LanguageLabel:
  - name: 'Checkout cannot be completed because tax has not been calculated. Reasons: X'
    translations:
      - {code: en, label: 'Checkout cannot be completed because tax has not been calculated. Reasons: {{messages}}'}
  - name: 'Checkout cannot be completed because tax has not been calculated due to internal problems. Please contact the site administrator.'
    translations:
      - {code: en, label: 'Checkout cannot be completed because tax has not been calculated due to internal problems. Please contact the site administrator.'}
  - name: 'Tax Jar product tax code'
    translations:
      - {code: en, label: 'Tax Jar product tax code'}
  - name: tax-jar-categories-description
    translations:
      - {code: en, label: 'You can assign TaxJar category tax codes to product tax classes to support product exemptions.'}
  - name: 'Tax rates are currently managed by TaxJar. Manage your nexus addresses.'
    translations:
      - {code: en, label: 'Tax rates are currently managed by TaxJar. <a href="{{link}}" target="_blank">Manage your nexus addresses</a>'}
  - name: 'Calculate taxes for US in designated states only'
    translations:
      - {code: en, label: 'Calculate taxes for US in designated states only'}
  - name: 'Automatically calculate taxes for'
    translations:
      - {code: en, label: 'Automatically calculate taxes for'}
  - name: 'All US States'
    translations:
      - {code: en, label: 'All US States'}
  - name: 'Specific states'
    translations:
      - {code: en, label: 'Specific states'}
  - name: 'Specify US states'
    translations:
      - {code: en, label: 'Specify US states'}
  - name: Sandbox
    translations:
      - {code: en, label: Sandbox}
  - name: 'No tax code'
    translations:
      - {code: en, label: 'No tax code'}
  - name: 'TaxJar via VAT Information Exchange System (VIES)'
    translations:
      - {code: en, label: 'TaxJar via VAT Information Exchange System (VIES)'}
